> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xente.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate product and beneficiary

> This endpoint gets people details

### Query

<ParamField path="productItemId" type="string">
  product Item Id that Identifies what product you are transacting
</ParamField>

<ParamField path="customerReference" type="string">
  The users' account number or phone number
</ParamField>

<ParamField path="amount" type="decimal">
  Amount. This needs to be validated as different providers have different minimum and maximum amount requirements
</ParamField>

### Response

<ResponseField name="status" type="number">
  Indicates whether the call was successful or not.
</ResponseField>

<ResponseField name="message" type="number">
  Response message indicating what happened with the request.
</ResponseField>

<ResponseField name="data" type="object">
  The contents of the person

  <Expandable title="Toggle object" />
</ResponseField>

<RequestExample>
  ```bash Request theme={null}

  curl --location 'https://api.xente.co/api/products/validation' \
  --header 'Content-Type: application/json' \
  --data '{
    "productItemId": "AIRTELMOBILEMONEYPAYOUTUG_AIRTELMOBILEMONEYPAYOUTUG",
    "customerReference": "0702000000",
    "amount": 500
  }'

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1
  }
  ```
</ResponseExample>
